Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#1176 Crash on tempo change

closed
nobody
None
9
2012-09-16
2008-05-09
Hywel
No

When I try to change the tempo, the program exits. It happens every time I try. It is version 1.6.1 on Kubuntu Hardy with KDE 4.

[Thread debugging using libthread_db enabled]
[New Thread 0xb607c6d0 (LWP 6357)]

[KCrash handler]

6 0xb7f12410 in __kernel_vsyscall ()

7 0xb68ff085 in raise () from /lib/tls/i686/cmov/libc.so.6

8 0xb6900a01 in abort () from /lib/tls/i686/cmov/libc.so.6

9 0xb6942835 in ?? () from /lib/tls/i686/cmov/libc.so.6

10 0x08e06f00 in ?? ()

11 0x00000000 in ?? ()

Discussion

  • Jim Cochrane
    Jim Cochrane
    2008-05-24

    Logged In: YES
    user_id=39996
    Originator: NO

    I've encountered the same defect with version 1.7.0 of rosegarden (fedora 9, kernel: 2.6.25.3-18.fc9.i686). Any initial attempt to change the tempo (via "add tempo change") of a new composition, whether at the beginning of the piece or later in the piece, causes rosegarden to immediately crash (i.e., the process dies, with the output:
    KCrash: Application 'rosegarden' crashing...
    KCrash cannot reach kdeinit, launching directly.)

    Is there a work-around for this problem until the bug gets fixed? Otherwise, it appears we're stuck with the default 120bpm tempo.

    Thanks!

     
  • Logged In: YES
    user_id=663564
    Originator: NO

    Sorry I didn't notice this one sooner. I don't seem to have gotten the notification message about this report.

    I'm afraid I can't repeat a crash when I "try to change the tempo" or to make an "initial attempt to change the tempo... of a new composition... at the beginning of the piece or later in the piece."

    Since this problem isn't so simple to reproduce, we need to start with a very precise recipe that I can follow step by step, every step of the way. We also need a stack trace.

    I don't see any really good newbie instructions for dealing with a stack trace. If I can't find them, I'll try to write some.

     
  • Jim Cochrane
    Jim Cochrane
    2008-05-26

    Logged In: YES
    user_id=39996
    Originator: NO

    Thanks, Michael, for checking this out. I was going to submit a stack trace yesterday, but got involved in a bit of a rabbit hole - trying out different possibilities. First, I tried the tempo change on a different computer with kubuntu 8.04 installed (rg 1.7.0 again) - No crash. Then, I thought that the crash must have something to do with the default studio (or some other configuration artifact) I had set up from the older version of rosegarden I was using - but, no - I added a new user, logged in as that user, started rosegarden with no existing configuration files, and I still got the crash.

    Here's another datum that might help: Once I've opened the tempo change dialog box, the inevitable result, once I get rid of the window, appears to be a crash, no matter what I do - i.e., I can hit <cancel> or <ok> at any time - even without making a change, leaving the tempo at 120 - and it will crash. Also, I tried opening several other dialog boxes, including 'Add time signature change', and the only one that causes the crash when the dialog box is closed is the 'add tempo change'.

    I'll submit my stack trace - probably in a separate comment, since I think sf's but reporting system doesn't provide an 'add attachment' facility - I don't want to make this comment too long. It seems to me, though, that the problem is Qt/GUI related and has nothing to do with the logic of tempo changes. I'm running kde 4 on this machine; perhaps the problem is due to an incompatibility in the kde or qt libraries I'm using that was not caught at compile time.

     
  • Jim Cochrane
    Jim Cochrane
    2008-05-26

    Logged In: YES
    user_id=39996
    Originator: NO

    Here is the stack trace I promised. Actually, I used 'script' to record the entire session - I will paste the whole thing in, since in addition to the stack trace there is start-up and other information that might be helpful for debugging. (Too bad sf doesn't provide an 'add attachment' facility.) The stack trace is at the bottom.
    gcc version 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC)

    $ rosegarden&
    [1] 28146
    $ cannot read response from jack serv
    er (No such file or directory)
    PluginFactory::instance(dssi): creating new DSSIPluginFactory
    LADSPAPluginFactory::discoverPlugins - discovering plugins; path is [/home/music
    -test1/.dssi]
    [/usr/local/lib/dssi] [/usr/lib/dssi]
    LADSPAPluginFactory::discoverPlugins - done
    PluginFactory::instance(ladspa): creating new LADSPAPluginFactory
    LADSPAPluginFactory::discoverPlugins - discovering plugins; path is [/home/music
    -test1/.ladspa]
    [/usr/local/lib/ladspa] [/usr/lib/ladspa]
    LADSPAPluginFactory::discoverPlugins - done
    Rosegarden 1.7.0 - AlsaDriver [ALSA library version 1.0.16, module version 1.0.1
    6rc2 (Thu Jan 31 16:40:16 2008 UTC), kernel version 2.6.25.3-18.fc9.i686]

    JackDriver::initialiseAudio - JACK sample rate = 48000Hz, buffer size = 1024
    JackDriver::initialiseAudio - creating disk thread
    JackDriver::initialiseAudio - found 8 JACK physical outputs
    JackDriver::initialiseAudio - connecting from "rosegarden:master out L" to "syst
    em:playback_1"
    JackDriver::initialiseAudio - connecting from "rosegarden:master out R" to "syst
    em:playback_2"
    JackDriver::initialiseAudio - found 2 JACK physical inputs
    JackDriver::initialiseAudio - connecting from "system:capture_1" to "rosegarden:
    record in 1 L"
    JackDriver::initialiseAudio - connecting from "system:capture_2" to "rosegarden:
    record in 1 R"
    JackDriver::initialiseAudio - initialised JACK audio subsystem

    ALSA Client information:

    14,0 - (Midi Through, Midi Through Port-0)                  (DUPLEX) [ctype
    

    2, ptype 655362, cap 99]
    16,0 - (Mia, Mia) (DUPLEX) [ctype 2, ptype 589826, cap 127
    ]

    129,0 - (rosegarden, record in) (WRITE ONLY) [ctype 1, ptype 104
    8576, cap 66]

    129,1 - (rosegarden, sync out) (READ ONLY) [ctype 1, ptype 1048
    576, cap 33]

    129,2 - (rosegarden, external controller) (DUPLEX) [ctype
    1, ptype 1048576, cap 99]

    129,3 - (rosegarden, out 1 - General MIDI Device) (READ ONLY) [cty
    pe 1, ptype 1048576, cap 33]

    129,4 - (rosegarden, out 2 - MIDI soft synth) (READ ONLY) [cty
    pe 1, ptype 1048576, cap 33]

    129,5 - (rosegarden, out 3 - MIDI output system device) (READ ON
    LY) [ctype 1, ptype 1048576, cap 33]

    CREATED OUTPUT PORT 3:out 1 - MIDI software device for device 0
    Connecting my port 3 to 129:0 on initialisation
    done
    Creating device 0 in Play mode for connection 129:0 rosegarden: record in (write
    )
    Default device name for this device is MIDI software device
    CREATED OUTPUT PORT 4:out 2 - MIDI external device for device 1
    Connecting my port 4 to 16:0 on initialisation
    done
    Creating device 1 in Play mode for connection 16:0 Mia (duplex)
    Default device name for this device is MIDI external device
    Creating device 2 in Record mode for connection 16:0 Mia (duplex)
    Default device name for this device is MIDI hardware input device
    Creating device 3 in Record mode for connection 129:1 rosegarden: sync out (read)
    Default device name for this device is MIDI software input
    CREATED OUTPUT PORT 5:out 3 - MIDI software device 2 for device 4
    Connecting my port 5 to 129:2 on initialisation
    done
    Creating device 4 in Play mode for connection 129:2 external controller (duplex)

    Default device name for this device is MIDI software device 2
    Creating device 5 in Record mode for connection 129:2 external controller (duple
    x)
    Default device name for this device is MIDI software input 2
    Creating device 6 in Record mode for connection 129:3 out 1 - General MIDI Devic
    e (read)
    Default device name for this device is MIDI software input 3
    Creating device 7 in Record mode for connection 129:4 out 2 - MIDI soft synth (r
    ead)
    Default device name for this device is MIDI software input 4
    Creating device 8 in Record mode for connection 129:5 out 3 - MIDI output system
    device (read)
    Default device name for this device is MIDI software input 5
    CREATED OUTPUT PORT 6:out 4 - MIDI output system device for device 9
    done
    Creating device 9 in Play mode for connection 14:0 Midi Through Port-0 (duplex)
    (not connecting)
    Default device name for this device is MIDI output system device
    Creating device 10 in Record mode for connection 14:0 Midi Through Port-0 (duple
    x) (not connecting)
    Default device name for this device is MIDI input system device
    AlsaDriver::setCurrentTimer((auto))
    Current timer set to "system timer" with timer checks
    AlsaDriver::initialiseMidi - initialised MIDI subsystem

    Composition::getTrackById(0) - WARNING - track id not found, this is probably a
    BUG /home/jtc/work/install/rosegarden-1.7.0/src/base/Composition.cpp:1539
    Available track ids are:
    Renaming device 0 to General MIDI Device
    Renamed 128:3 to General MIDI Device
    CompositionModelImpl::slotInstrumentParametersChanged()

    ALSA Client information:

    14,0 - (Midi Through, Midi Through Port-0)                  (DUPLEX) [ctype
    

    2, ptype 655362, cap 99]
    16,0 - (Mia, Mia) (DUPLEX) [ctype 2, ptype 589826, cap 127
    ]

    129,0 - (rosegarden, record in) (WRITE ONLY) [ctype 1, ptype 104
    8576, cap 66]

    129,1 - (rosegarden, sync out) (READ ONLY) [ctype 1, ptype 1048
    576, cap 33]

    129,2 - (rosegarden, external controller) (DUPLEX) [ctype
    1, ptype 1048576, cap 99]

    129,3 - (rosegarden, out 1 - General MIDI Device) (READ ONLY) [cty
    pe 1, ptype 1048576, cap 33]

    129,4 - (rosegarden, out 2 - MIDI soft synth) (READ ONLY) [cty
    pe 1, ptype 1048576, cap 33]

    129,5 - (rosegarden, out 3 - MIDI output system device) (READ ON
    LY) [ctype 1, ptype 1048576, cap 33]

    TrackButtons::slotUpdateTracks
    Comparing current version "1.7.0" with latest version "1.7.0"
    CompositionModelImpl::segmentAdded: segment 0xa4d2c50 on track 0: calling setTra
    ckHeights
    TrackButtons::slotUpdateTracks

    [1]+ Done rosegar
    den
    $ ls -lart
    total 96885%)
    drwxrwxr-x 3 music-test1 music-test1 4096 2008-05-26 01:22 ..
    drwxrwxr-x 2 music-test1 music-test1 4096 2008-05-26 01:38 old
    -rw-rw-r-- 1 music-test1 music-test1 4096 2008-05-26 01:39 rosegarden-bu
    g-log4
    -rw------- 1 music-test1 music-test1 18251776 2008-05-26 01:39 core.28147
    m
    drwxrwxr-x 3 music-test1 music-test1 4096 2008-05-26 01:39 .
    $ file core.28147
    core.28147: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-style,
    from 'rosegarden'
    $ gdb rosegarden core.28147
    GNU gdb Fedora (6.8-5.fc9)
    Copyright (C) 2008 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later http://gnu.org/licenses/gpl.html
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law. Type "show copying"
    and "show warranty" for details.
    This GDB was configured as "i386-redhat-linux-gnu"...
    (no debugging symbols found)

    warning: Can't read pathname for load map: Input/output error.
    Reading symbols from /usr/lib/qt-3.3/lib/libqt-mt.so.3...(no debugging symbols f
    ound)...done.
    Loaded symbols for /usr/lib/qt-3.3/lib/libqt-mt.so.3
    Reading symbols from /usr/lib/libSM.so.6...(no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libSM.so.6
    Reading symbols from /usr/lib/libICE.so.6...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libICE.so.6
    Reading symbols from /usr/lib/libX11.so.6...(no debugging symbols found)...done.

    Loaded symbols for /usr/lib/libX11.so.6
    Reading symbols from /usr/lib/libXext.so.6...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libXext.so.6
    Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
    Loaded symbols for /lib/libdl.so.2
    Reading symbols from /lib/libpthread.so.0...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libpthread.so.0
    Reading symbols from /usr/lib/libkdecore.so.4...(no debugging symbols found)...d
    one.
    Loaded symbols for /usr/lib/libkdecore.so.4
    Reading symbols from /usr/lib/liblo.so.0...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/liblo.so.0
    Reading symbols from /usr/lib/liblrdf.so.2...(no debugging symbols found)...done
    .
    Loaded symbols for /usr/lib/liblrdf.so.2
    Reading symbols from /usr/lib/libfftw3f.so.3...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libfftw3f.so.3
    Reading symbols from /usr/lib/libXft.so.2...(no debugging symbols found)...done.

    Loaded symbols for /usr/lib/libXft.so.2
    Reading symbols from /usr/lib/libXrender.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libXrender.so.1
    Reading symbols from /usr/lib/libfontconfig.so.1...(no debugging symbols found).
    ..done.
    Loaded symbols for /usr/lib/libfontconfig.so.1
    Reading symbols from /usr/lib/libfreetype.so.6...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libfreetype.so.6
    Reading symbols from /usr/lib/libjack.so.0...(no debugging symbols found)...done
    .
    Loaded symbols for /usr/lib/libjack.so.0
    Reading symbols from /lib/librt.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/librt.so.1
    Reading symbols from /usr/lib/libkio.so.4...(no debugging symbols found)...done.

    Loaded symbols for /usr/lib/libkio.so.4
    Reading symbols from /usr/lib/libkdeui.so.4...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libkdeui.so.4
    Reading symbols from /usr/lib/libkdeprint.so.4...(no debugging symbols found)...
    done.
    Loaded symbols for /usr/lib/libkdeprint.so.4
    Reading symbols from /usr/lib/libstdc++.so.6...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libstdc++.so.6
    Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
    Loaded symbols for /lib/libm.so.6
    Reading symbols from /lib/libgcc_s.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libgcc_s.so.1
    Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
    Loaded symbols for /lib/libc.so.6
    Reading symbols from /usr/lib/libDCOP.so.4...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libDCOP.so.4
    Reading symbols from /usr/lib/libkdefx.so.4...(no debugging symbols found)...don
    e.
    Loaded symbols for /usr/lib/libkdefx.so.4
    Reading symbols from /usr/lib/libmng.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libmng.so.1
    Reading symbols from /usr/lib/libjpeg.so.62...(no debugging symbols found)...don
    e.
    Loaded symbols for /usr/lib/libjpeg.so.62
    Reading symbols from /usr/lib/libpng12.so.0...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libpng12.so.0
    Reading symbols from /lib/libz.so.1...(no debugging symbols found)...done.
    Loaded symbols for /lib/libz.so.1
    Reading symbols from /usr/lib/libXi.so.6...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libXi.so.6
    Reading symbols from /usr/lib/libXrandr.so.2...(no debugging symbols found)...do
    ne.
    Loaded symbols for /usr/lib/libXrandr.so.2
    Reading symbols from /usr/lib/libXcursor.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libXcursor.so.1
    Reading symbols from /usr/lib/libXinerama.so.1...(no debugging symbols found)...
    done.
    Loaded symbols for /usr/lib/libXinerama.so.1
    Reading symbols from /usr/lib/libxcb-xlib.so.0...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libxcb-xlib.so.0
    Reading symbols from /usr/lib/libxcb.so.1...(no debugging symbols found)...done.

    Loaded symbols for /usr/lib/libxcb.so.1
    Reading symbols from /usr/lib/libXau.so.6...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libXau.so.6
    Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
    Loaded symbols for /lib/ld-linux.so.2
    Reading symbols from /usr/lib/libutempter.so.0...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libutempter.so.0
    Reading symbols from /lib/libresolv.so.2...(no debugging symbols found)...done.
    Loaded symbols for /lib/libresolv.so.2
    Reading symbols from /lib/libutil.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libutil.so.1
    Reading symbols from /usr/lib/libart_lgpl_2.so.2...(no debugging symbols found).
    ..done.
    Loaded symbols for /usr/lib/libart_lgpl_2.so.2
    Reading symbols from /lib/libidn.so.11...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libidn.so.11
    Reading symbols from /usr/lib/libraptor.so.1...(no debugging symbols found)...do
    ne.
    Loaded symbols for /usr/lib/libraptor.so.1
    Reading symbols from /lib/libexpat.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libexpat.so.1
    Reading symbols from /usr/lib/libkdesu.so.4...(no debugging symbols found)...don
    e.
    Loaded symbols for /usr/lib/libkdesu.so.4
    Reading symbols from /usr/lib/libkwalletclient.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libkwalletclient.so.1
    Reading symbols from /lib/libacl.so.1...(no debugging symbols found)...done.
    Loaded symbols for /lib/libacl.so.1
    Reading symbols from /lib/libattr.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libattr.so.1
    Reading symbols from /usr/lib/liblcms.so.1...(no debugging symbols found)...done
    .
    Loaded symbols for /usr/lib/liblcms.so.1
    Reading symbols from /usr/lib/libXfixes.so.3...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libXfixes.so.3
    Reading symbols from /usr/lib/libXdmcp.so.6...(no debugging symbols found)...don
    e.
    Loaded symbols for /usr/lib/libXdmcp.so.6
    Reading symbols from /usr/lib/libcurl.so.4...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libcurl.so.4
    Reading symbols from /usr/lib/libxslt.so.1...(no debugging symbols found)...done
    .
    Loaded symbols for /usr/lib/libxslt.so.1
    Reading symbols from /usr/lib/libxml2.so.2...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libxml2.so.2
    Reading symbols from /usr/lib/libldap-2.4.so.2...(no debugging symbols found)...
    done.
    Loaded symbols for /usr/lib/libldap-2.4.so.2
    Reading symbols from /usr/lib/libgssapi_krb5.so.2...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libgssapi_krb5.so.2
    Reading symbols from /usr/lib/libkrb5.so.3...(no debugging symbols found)...done
    .
    Loaded symbols for /usr/lib/libkrb5.so.3
    Reading symbols from /usr/lib/libk5crypto.so.3...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libk5crypto.so.3
    Reading symbols from /lib/libcom_err.so.2...(no debugging symbols found)...done.

    Loaded symbols for /lib/libcom_err.so.2
    Reading symbols from /lib/libssl3.so...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libssl3.so
    Reading symbols from /lib/libsmime3.so...(no debugging symbols found)...done.
    Loaded symbols for /lib/libsmime3.so
    Reading symbols from /lib/libnss3.so...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libnss3.so
    Reading symbols from /lib/libplds4.so...(no debugging symbols found)...done.
    Loaded symbols for /lib/libplds4.so
    Reading symbols from /lib/libplc4.so...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libplc4.so
    Reading symbols from /lib/libnspr4.so...(no debugging symbols found)...done.
    Loaded symbols for /lib/libnspr4.so
    Reading symbols from /usr/lib/liblber-2.4.so.2...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/liblber-2.4.so.2
    Reading symbols from /usr/lib/libsasl2.so.2...(no debugging symbols found)...don
    e.
    Loaded symbols for /usr/lib/libsasl2.so.2
    Reading symbols from /lib/libssl.so.7...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libssl.so.7
    Reading symbols from /lib/libcrypto.so.7...(no debugging symbols found)...done.
    Loaded symbols for /lib/libcrypto.so.7
    Reading symbols from /usr/lib/libkrb5support.so.0...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/libkrb5support.so.0
    Reading symbols from /lib/libkeyutils.so.1...(no debugging symbols found)...done
    .
    Loaded symbols for /lib/libkeyutils.so.1
    Reading symbols from /lib/libnssutil3.so...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libnssutil3.so
    Reading symbols from /lib/libcrypt.so.1...(no debugging symbols found)...done.
    Loaded symbols for /lib/libcrypt.so.1
    Reading symbols from /lib/libselinux.so.1...
    (no debugging symbols found)...done.
    Loaded symbols for /lib/libselinux.so.1
    Reading symbols from /lib/libnss_files.so.2...(no debugging symbols found)...don
    e.
    Loaded symbols for /lib/libnss_files.so.2
    Reading symbols from /usr/lib/kde3/plugins/styles/kthemestyle.so...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/kde3/plugins/styles/kthemestyle.so
    Reading symbols from /usr/lib/kde3/plugins/styles/keramik.so...(no debugging sym
    bols found)...done.
    Loaded symbols for /usr/lib/kde3/plugins/styles/keramik.so
    Reading symbols from /usr/lib/kde3/plugins/styles/highcolor.so...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/kde3/plugins/styles/highcolor.so
    Reading symbols from /usr/lib/kde3/plugins/styles/highcontrast.so...(no debugging symbols found)...done.
    Loaded symbols for /usr/lib/kde3/plugins/styles/highcontrast.so
    Reading symbols from /usr/lib/kde3/plugins/styles/light.so...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/kde3/plugins/styles/light.so
    Reading symbols from /usr/lib/kde3/plugins/styles/plastik.so...(no debugging sym
    bols found)...done.
    Loaded symbols for /usr/lib/kde3/plugins/styles/plastik.so
    Reading symbols from /usr/lib/kde3/kgzipfilter.so...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/kde3/kgzipfilter.so
    Reading symbols from /usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so...(n
    o debugging symbols found)...done.
    Loaded symbols for /usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so
    Reading symbols from /usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so
    Reading symbols from /usr/lib/qt-3.3/plugins/inputmethods/libqsimple.so...(no de
    bugging symbols found)...done.
    Loaded symbols for /usr/lib/qt-3.3/plugins/inputmethods/libqsimple.so
    Reading symbols from /usr/lib/qt-3.3/plugins/inputmethods/libqxim.so...
    (no debugging symbols found)...done.
    Loaded symbols for /usr/lib/qt-3.3/plugins/inputmethods/libqxim.so
    (no debugging symbols found)
    Core was generated by `rosegarden'.
    Program terminated with signal 6, Aborted.
    [New process 28147]

    0 0x00110416 in __kernel_vsyscall ()

    Missing separate debuginfos, use: debuginfo-install acl.i386 attr.i386 curl.i386
    cyrus-sasl.i386 e2fsprogs.i386 expat.i386 fftw.i386 fontconfig.i386 freetype.i3
    86 gcc.i386 glibc.i686 jack-audio-connection-kit.i386 kdelibs3.i386 keyutils.i38
    6 krb5.i386 lcms.i386 libICE.i386 libSM.i386 libX11.i386 libXau.i386 libXcursor.
    i386 libXdmcp.i386 libXext.i386 libXfixes.i386 libXft.i386 libXi.i386 libXineram
    a.i386 libXrandr.i386 libXrender.i386 libart_lgpl.i386 libidn.i386 libjpeg.i386
    liblo.i386 liblrdf.i386 libmng.i386 libpng.i386 libselinux.i386 libutempter.i386
    libxcb.i386 libxml2.i386 libxslt.i386 nspr.i386 nss.i386 openldap.i386 openssl.
    i686 qt3.i386 raptor.i386 zlib.i386
    (gdb)
    (gdb)
    (gdb)
    (gdb) where

    0 0x00110416 in __kernel_vsyscall ()

    1 0x0064d660 in raise () from /lib/libc.so.6

    2 0x0064f028 in abort () from /lib/libc.so.6

    3 0x00690813 in malloc_printerr () from /lib/libc.so.6

    4 0x006927e5 in free () from /lib/libc.so.6

    5 0x00c74461 in operator delete () from /usr/lib/libstdc++.so.6

    6 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    7 0x0378f695 in QFrame::~QFrame () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    8 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    9 0x034b68ac in QGroupBox::~QGroupBox ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    10 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    11 0x037a5805 in QVBox::~QVBox () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    12 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    13 0x0359d00b in QDialog::~QDialog () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    14 0x026f5ff4 in KDialogBase::~KDialogBase () from /usr/lib/libkdeui.so.4

    15 0x0819d720 in Rosegarden::RosegardenGUIApp::slotEditTempo ()

    16 0x0819d768 in Rosegarden::RosegardenGUIApp::slotEditTempo ()

    17 0x0819d785 in Rosegarden::RosegardenGUIApp::slotEditTempo ()

    18 0x081cab1d in Rosegarden::RosegardenGUIApp::qt_invoke ()

    19 0x033e9bda in QObject::activate_signal ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    20 0x033eb6eb in QObject::activate_signal ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    21 0x02669e39 in KAction::activated () from /usr/lib/libkdeui.so.4

    22 0x026b3960 in KAction::slotActivated () from /usr/lib/libkdeui.so.4

    23 0x02759175 in KAction::slotPopupActivated () from /usr/lib/libkdeui.so.4

    24 0x027594a0 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4

    25 0x033e9bda in QObject::activate_signal ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    26 0x0378254c in QSignal::signal () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    27 0x0340978d in QSignal::activate () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    28 0x0350e71c in QPopupMenu::mouseReleaseEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    29 0x02696be2 in KPopupMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.4

    30 0x03426e71 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    31 0x03380df5 in QApplication::internalNotify ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    32 0x0338216f in QApplication::notify ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    33 0x07db8922 in KApplication::notify () from /usr/lib/libkdecore.so.4

    34 0x033186be in QApplication::sendSpontaneousEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    35 0x0331843f in QETWidget::translateMouseEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    36 0x0331736a in QApplication::x11ProcessEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    37 0x033293cb in QEventLoop::processEvents ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    38 0x0339b4f0 in QEventLoop::enterLoop ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    39 0x0339b3c6 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    40 0x033814cf in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    41 0x081986da in main ()

    (gdb) quit
    $ cat >stack-trace

    0 0x00110416 in __kernel_vsyscall ()

    1 0x0064d660 in raise () from /lib/libc.so.6

    2 0x0064f028 in abort () from /lib/libc.so.6

    3 0x00690813 in malloc_printerr () from /lib/libc.so.6

    4 0x006927e5 in free () from /lib/libc.so.6

    5 0x00c74461 in operator delete () from /usr/lib/libstdc++.so.6

    6 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    7 0x0378f695 in QFrame::~QFrame () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    8 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    9 0x034b68ac in QGroupBox::~QGroupBox ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    10 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    11 0x037a5805 in QVBox::~QVBox () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    12 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    13 0x0359d00b in QDialog::~QDialog () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    14 0x026f5ff4 in KDialogBase::~KDialogBase () from /usr/lib/libkdeui.so.4

    15 0x0819d720 in Rosegarden::RosegardenGUIApp::slotEditTempo ()

    16 0x0819d768 in Rosegarden::RosegardenGUIApp::slotEditTempo ()

    17 0x0819d785 in Rosegarden::RosegardenGUIApp::slotEditTempo ()

    18 0x081cab1d in Rosegarden::RosegardenGUIApp::qt_invoke ()

    19 0x033e9bda in QObject::activate_signal ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    20 0x033eb6eb in QObject::activate_signal ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    21 0x02669e39 in KAction::activated () from /usr/lib/libkdeui.so.4

    22 0x026b3960 in KAction::slotActivated () from /usr/lib/libkdeui.so.4

    23 0x02759175 in KAction::slotPopupActivated () from /usr/lib/libkdeui.so.4

    24 0x027594a0 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4

    25 0x033e9bda in QObject::activate_signal ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    26 0x0378254c in QSignal::signal () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    27 0x0340978d in QSignal::activate () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    28 0x0350e71c in QPopupMenu::mouseReleaseEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    29 0x02696be2 in KPopupMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.4

    30 0x03426e71 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    31 0x03380df5 in QApplication::internalNotify ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    32 0x0338216f in QApplication::notify ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    33 0x07db8922 in KApplication::notify () from /usr/lib/libkdecore.so.4

    34 0x033186be in QApplication::sendSpontaneousEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    35 0x0331843f in QETWidget::translateMouseEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    36 0x0331736a in QApplication::x11ProcessEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    37 0x033293cb in QEventLoop::processEvents ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    38 0x0339b4f0 in QEventLoop::enterLoop ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    39 0x0339b3c6 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    40 0x033814cf in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    41 0x081986da in main ()

     
  • Jim Cochrane
    Jim Cochrane
    2008-05-27

    Logged In: YES
    user_id=39996
    Originator: NO

    It's odd that this interface has a "Number of Attachments:" field and yet there appears to be no way (at least for a non-team-member) to attach a file. Guess I'll have to keep entering reports directly in the comment field.

    Anyway, I compiled rosegarden with debugging turned on and am including a stack trace for the same problem with debug information. I see that there are a few calls to different
    slotEditTempo routines and then tempoDialog.exec() is called, on line 5730, in RosegardenGUIApp::slotEditTempo. tempoDialog.exec is not in TempoDialog, so it must be inherited from the parent class, KDialogBase, or an ancestor.

    The crash appears to be triggered when the TempoDialog destructor is called (line 196) when the TempoDialog object goes out of scope when RosegardenGUIApp::slotEditTempo returns. This destructor appears to invoke Qt operations, which end up calling delete, free, ... abort. Perhaps an invalid pointer is being deleted.

    Looks like the whole sequence is being called on line 950 of
    RosegardenGUIApp.moc:

    case 64: slotEditTempo(); break;
    

    I think that's as far as I can go wrt analysis without digging into the library code.

    Anyway, here is the debugging-on stack trace:

    (gdb) where

    0 0x00110416 in __kernel_vsyscall ()

    1 0x0064d660 in raise () from /lib/libc.so.6

    2 0x0064f028 in abort () from /lib/libc.so.6

    3 0x00690813 in malloc_printerr () from /lib/libc.so.6

    4 0x006927e5 in free () from /lib/libc.so.6

    5 0x00c74461 in operator delete () from /usr/lib/libstdc++.so.6

    6 0x0869e76a in ~HSpinBox (this=0xa022e08)

    at /home/jtc/work/install/rosegarden-1.7.0/src/gui/widgets/HSpinBox.h:39
    

    7 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    8 0x0378f695 in QFrame::~QFrame () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    9 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    10 0x034b68ac in QGroupBox::~QGroupBox ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    11 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    12 0x037a5805 in QVBox::~QVBox () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    13 0x03429c57 in QWidget::~QWidget () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    14 0x0359d00b in QDialog::~QDialog () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    15 0x026f5ff4 in KDialogBase::~KDialogBase () from /usr/lib/libkdeui.so.4

    16 0x0843e59e in ~TempoDialog (this=0xbf8bbb98)

    at /home/jtc/work/install/rosegarden-1.7.0/src/gui/dialogs/TempoDialog.cpp:196
    

    17 0x08392bc6 in Rosegarden::RosegardenGUIApp::slotEditTempo (this=0x9e793f0,

    parent=0x9e793f0, atTime=0)
    at /home/jtc/work/install/rosegarden-1.7.0/src/gui/application/RosegardenGUIApp.cpp:5730
    

    18 0x08392c43 in Rosegarden::RosegardenGUIApp::slotEditTempo (this=0x9e793f0,

    parent=0x9e793f0)
    at /home/jtc/work/install/rosegarden-1.7.0/src/gui/application/RosegardenGUIApp.cpp:5710
    

    19 0x08392c5e in Rosegarden::RosegardenGUIApp::slotEditTempo (this=0x9e793f0)

    at /home/jtc/work/install/rosegarden-1.7.0/src/gui/application/RosegardenGUIApp.cpp:5700
    

    20 0x083c4159 in Rosegarden::RosegardenGUIApp::qt_invoke (this=0x9e793f0,

    _id=138, _o=0xbf8bbdd4)
    at /home/jtc/work/install/rosegarden-1.7.0/RGbuild/RosegardenGUIApp.moc:950
    

    21 0x033e9bda in QObject::activate_signal ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    22 0x033eb6eb in QObject::activate_signal ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    23 0x02669e39 in KAction::activated () from /usr/lib/libkdeui.so.4

    24 0x026b3960 in KAction::slotActivated () from /usr/lib/libkdeui.so.4

    25 0x02759175 in KAction::slotPopupActivated () from /usr/lib/libkdeui.so.4

    26 0x027594a0 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4

    27 0x033e9bda in QObject::activate_signal ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    28 0x0378254c in QSignal::signal () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    29 0x0340978d in QSignal::activate () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    30 0x0350e71c in QPopupMenu::mouseReleaseEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    31 0x02696be2 in KPopupMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.4

    32 0x03426e71 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    33 0x03380df5 in QApplication::internalNotify ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    34 0x0338216f in QApplication::notify ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    35 0x07db8922 in KApplication::notify () from /usr/lib/libkdecore.so.4

    36 0x033186be in QApplication::sendSpontaneousEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    37 0x0331843f in QETWidget::translateMouseEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    38 0x0331736a in QApplication::x11ProcessEvent ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    39 0x033293cb in QEventLoop::processEvents ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    40 0x0339b4f0 in QEventLoop::enterLoop ()

    from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    41 0x0339b3c6 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    42 0x033814cf in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

    43 0x083832b2 in main (argc=1, argv=0xbf8bcd04)

    at /home/jtc/work/install/rosegarden-1.7.0/src/gui/application/main.cpp:739
    

    (gdb) quit

     
  • VlaSav
    VlaSav
    2008-09-04

    Logged In: YES
    user_id=1413153
    Originator: NO

    K/Ubuntu guys,

    If there's any around, please test this...

    Michael, I vote for marking this one "works for me".

     
  • Same problem here with Mandriva 2009.0, Rosegarden 1.7.2 and kernel 2.6.27 (2.6.27-desktop-0.rc8.2mnb).

    Thanks.

     
  • Chris Cannam
    Chris Cannam
    2008-10-14

    Thanks for all the information, and apologies for taking so long to investigate this one properly.

    I'm fairly sure this is caused by a buffer overflow in the HSpinBox class (a fixed size string being overrun by a longer fixed size one -- not an exploitable security bug, but pretty dumb). This overflow is fixed in SVN trunk as of rev 9490.

    Note that this bug has never actually caused any crash for me, so my testing is not authoritative and I'd appreciate any further feedback from anyone able to build from trunk who has observed this problem.

    Thanks!

     
  • Hi cannam,

    I've tested the fix /using the svn version) in my Mandriva (2009.0) and it seems to work pretty fine.

    Thank you very much!

     
  • Chris Cannam
    Chris Cannam
    2008-10-21

    Thanks for taking the time to report back about it!